diff --git a/game/client/src/main/java/net/minecraft/client/Minecraft.java b/game/client/src/main/java/net/minecraft/client/Minecraft.java
index 47e0448d2..c29583770 100644
--- a/game/client/src/main/java/net/minecraft/client/Minecraft.java
+++ b/game/client/src/main/java/net/minecraft/client/Minecraft.java
@@ -1242,152 +1191,139 @@ public class Minecraft
                     onMinecraftCrash(new UnexpectedThrowable("Unexpected error", throwable));
                 }
             }
-        }
-        catch(MinecraftError ignored) { }
-        finally {
+        } catch (MinecraftError ignored) {
+        } finally {
             shutdownMinecraftApplet();
         }
     }
 
-    public void freeUpMemory()
-    {
-        try
-        {
-            renderGlobal.deleteChunkLists();
+    public void freeUpMemory() {
+        try {
+            this.renderGlobal.deleteChunkLists();
+        } catch (Throwable ignored) {
         }
-        catch(Throwable ignored) { }
-        try
-        {
+        try {
             System.gc();
             ObjectPool.freeAllPools();
+        } catch (Throwable ignored) {
         }
-        catch(Throwable ignored) { }
-        try
-        {
+        try {
             System.gc();
             changeWorld(null);
+        } catch (Throwable ignored) {
         }
-        catch(Throwable ignored) { }
         System.gc();
     }
 
-	private void screenshotListener() {
-		if(gameSettings.keyScreenshot.isPressed()) {
-			if(!isTakingScreenshot) {
-				isTakingScreenshot = true;
-
-				boolean ctrl = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
-				
-				Debug.push("screenshot");
-				if(ctrl) {
-					if(Shaders.enableShaders) {
-						try {
-							screenshotHelper.takePanoramaScreenshot();
-							hudIngame.addChatMessage("Saved panorama screenshot!");
-						}catch (Exception e) {
+    private void screenshotListener() {
+        if (this.gameSettings.keyScreenshot.isPressed()) {
+            if (!this.isTakingScreenshot) {
+                this.isTakingScreenshot = true;
+
+                boolean ctrl = Keyboard.isKeyDown(Keyboard.KEY_LCONTROL) || Keyboard.isKeyDown(Keyboard.KEY_RCONTROL);
+
+                Debug.push("screenshot");
+                if (ctrl) {
+                    if (Shaders.enableShaders) {
+                        try {
+                            this.screenshotHelper.takePanoramaScreenshot();
+                            this.hudIngame.addChatMessage("Saved panorama screenshot!");
+                        } catch (Exception e) {
                             LOGGER.error("Exception occurred while taking panoramic screenshot!", e);
-						}
-					}
-				}else {
-					hudIngame.addChatMessage(ScreenShot.saveScreenshot(getMinecraftDir(), gameWindow.getWidthPixels(), gameWindow.getHeightPixels()));
-				}
-				Debug.pop();
-			}
-		}else {
-			isTakingScreenshot = false;
-		}
-	}
-
-    public void shutdown()
-    {
-        running = false;
-    }
-
-    public void setIngameFocus()
-    {
-        if(!gameWindow.isFocused())
-        {
+                        }
+                    }
+                } else {
+                    this.hudIngame.addChatMessage(ScreenShot.saveScreenshot(getMinecraftDir(), this.gameWindow.getWidthPixels(), this.gameWindow.getHeightPixels()));
+                }
+                Debug.pop();
+            }
+        } else {
+            this.isTakingScreenshot = false;
+        }
+    }
+
+    public void shutdown() {
+        this.running = false;
+    }
+
+    public void setIngameFocus() {
+        if (!this.gameWindow.isFocused()) {
             return;
         }
-        if(!inGameHasFocus)
-        {
-            inGameHasFocus = true;
-            mouseInput.grabCursor();
+        if (!this.inGameHasFocus) {
+            this.inGameHasFocus = true;
+            this.mouseInput.grabCursor();
             displayScreen(null);
-            mouseTicksRan = ticksRan + 10000;
-            if(thePlayer != null) {
-            	thePlayer.input.onGameFocused();
+            this.mouseTicksRan = this.ticksRan + 10000;
+            if (this.thePlayer != null) {
+                this.thePlayer.input.onGameFocused();
             }
         }
     }
 
-    public void setIngameNotInFocus()
-    {
-        if(!inGameHasFocus)
-        {
+    public void setIngameNotInFocus() {
+        if (!this.inGameHasFocus) {
             return;
         }
-        if(thePlayer != null)
-        {
-        	thePlayer.input.onGameUnfocused();
+        if (this.thePlayer != null) {
+            this.thePlayer.input.onGameUnfocused();
         }
-        inGameHasFocus = false;
-        if(inputType == InputType.KEYBOARD) mouseInput.releaseCursor();
-        worldRenderer.zooming = false;
+        this.inGameHasFocus = false;
+        if (this.inputType == InputType.KEYBOARD) this.mouseInput.releaseCursor();
+        this.worldRenderer.zooming = false;
     }
-    
-    public void displayInGameMenu()
-    {
-        if(currentScreen == null)
-        {
+
+    public void displayInGameMenu() {
+        if (this.currentScreen == null) {
             displayScreen(new ScreenPause());
         }
     }
 
-    private void mineBlocks(int mouseButton, boolean leftClickDown)
-    {
-        if(leftClickDown && objectMouseOver != null && objectMouseOver instanceof HitResult.Tile hitTile && mouseButton == 0)
-        {
-            int blockX = hitTile.tilePos.x;
-            int blockY = hitTile.tilePos.y;
-            int blockZ = hitTile.tilePos.z;
+    private void mineBlocks(int mouseButton, boolean leftClickDown) {
+        if (leftClickDown && this.objectMouseOver != null && this.objectMouseOver instanceof HitResult.Tile hitTile && mouseButton == 0) {
+            int blockX = hitTile.tilePos.x();
+            int blockY = hitTile.tilePos.y();
+            int blockZ = hitTile.tilePos.z();
             Side side = hitTile.side;
             double xPlaced;
-			double yPlaced = hitTile.location.y - hitTile.tilePos.y;
-			if(side.getAxis() == Axis.X) {
-				xPlaced = hitTile.location.x - hitTile.tilePos.x;
-			}else if(side.getAxis() == Axis.Z) {
-				xPlaced = hitTile.location.z - hitTile.tilePos.z;
-			}else {
-				xPlaced = hitTile.location.x - hitTile.tilePos.x;
-			}
-            playerController.continueDestroyBlock(blockX, blockY, blockZ, hitTile.side, xPlaced, yPlaced);
-        }
-        else
-        {
-            playerController.stopDestroyBlock(leftClickDown);
+            double yPlaced = hitTile.location.y() - hitTile.tilePos.y();
+            if (side.getAxis() == Axis.X) {
+                xPlaced = hitTile.location.x() - hitTile.tilePos.x();
+            } else if (side.getAxis() == Axis.Z) {
+                xPlaced = hitTile.location.z() - hitTile.tilePos.z();
+            } else {
+                xPlaced = hitTile.location.x() - hitTile.tilePos.x();
+            }
+            this.playerController.continueDestroyBlock(blockX, blockY, blockZ, hitTile.side, xPlaced, yPlaced);
+        } else {
+            this.playerController.stopDestroyBlock(leftClickDown);
         }
     }
 
-    private void clickMouse(int clickType, boolean attack, boolean repeat)
-    {
-        mouseTicksRan = ticksRan;
-        
+    private void clickMouse(int clickType, boolean attack, boolean repeat) {
+        this.mouseTicksRan = this.ticksRan;
+
         boolean flag = true;
-        if(objectMouseOver == null)
-        {
-            bridge: if (gameSettings.easyBridge.value){
+        if (this.objectMouseOver == null) {
+            bridge:
+            if (this.gameSettings.easyBridge.value) {
                 if (clickType == 1) {
-                    if (thePlayer.xRot < 45) {break bridge;}
-                    List<AABB> cubes = thePlayer.world.getCubes(thePlayer, thePlayer.bb.cloneMove(0, -1.0, 0.0));
-                    if (cubes.isEmpty()){break bridge;}
-                    AABB cube = cubes.get(0);
-                    if (cube == null){break bridge;}
-                    int blockX = MathHelper.floor(thePlayer.x);
-                    int blockY = MathHelper.floor(thePlayer.y - thePlayer.heightOffset - 0.25);
-                    int blockZ = MathHelper.floor(thePlayer.z);
-
-                    Direction playerDirection = Direction.getHorizontalDirection(thePlayer);
+                    if (this.thePlayer.xRot < 45) {
+                        break bridge;
+                    }
+                    List<AABBdc> cubes = this.thePlayer.world.getCubes(this.thePlayer, this.thePlayer.bb.translate(0, -1.0, 0.0, new AABBd()));
+                    if (cubes.isEmpty()) {
+                        break bridge;
+                    }
+                    AABBdc cube = cubes.get(0);
+                    if (cube == null) {
+                        break bridge;
+                    }
+                    int blockX = MathHelper.floor(this.thePlayer.x);
+                    int blockY = MathHelper.floor(this.thePlayer.y - this.thePlayer.heightOffset - 0.25);
+                    int blockZ = MathHelper.floor(this.thePlayer.z);
+
+                    Direction playerDirection = Direction.getHorizontalDirection(this.thePlayer);
                     if (playerDirection.isVertical()) break bridge;
                     Side side = playerDirection.getSide();
 
@@ -1398,265 +1334,211 @@ public class Minecraft
                     if (stack == null) {
                         break bridge;
                     }
-                    if (this.playerController.placeItemStackOnTile(thePlayer, currentWorld, stack, blockX, blockY, blockZ, side, xPlaced, yPlaced)) {
+                    if (this.playerController.placeItemStackOnTile(this.thePlayer, this.currentWorld, stack, blockX, blockY, blockZ, side, xPlaced, yPlaced)) {
                         this.playerController.swingItem(true);
                     }
                     if (stack.stackSize <= 0) {
                         this.thePlayer.inventory.mainInventory[this.thePlayer.inventory.getCurrentItemIndex()] = null;
                     } else if (stack.stackSize != numItemsInStack) {
-                        worldRenderer.itemRenderer.updateEquippedItem();
+                        this.worldRenderer.itemRenderer.updateEquippedItem();
                     }
                 }
             }
-            if(clickType == 0 && attack)
-            {
-                playerController.swingItem(true);
+            if (clickType == 0 && attack) {
+                this.playerController.swingItem(true);
             }
-        }
-        else if(objectMouseOver instanceof HitResult.Entity hitEntity)
-        {
-            if(clickType == 0 && attack)
-            {
-                playerController.swingItem(true);
-                playerController.attack(thePlayer, hitEntity.entity);
+        } else if (this.objectMouseOver instanceof HitResult.Entity hitEntity) {
+            if (clickType == 0 && attack) {
+                this.playerController.swingItem(true);
+                this.playerController.attack(this.thePlayer, hitEntity.entity);
             }
-            if(clickType == 1)
-            {
-                if (playerController.interact(thePlayer, hitEntity.entity)){
+            if (clickType == 1) {
+                if (this.playerController.interact(this.thePlayer, hitEntity.entity)) {
                     flag = false;
                 }
             }
-        }
-        else if(objectMouseOver instanceof HitResult.Tile hitTile)
-        {
-            int blockX = hitTile.tilePos.x;
-            int blockY = hitTile.tilePos.y;
-            int blockZ = hitTile.tilePos.z;
+        } else if (this.objectMouseOver instanceof HitResult.Tile hitTile) {
+            int blockX = hitTile.tilePos.x();
+            int blockY = hitTile.tilePos.y();
+            int blockZ = hitTile.tilePos.z();
             Side side = hitTile.side;
             double xPlaced;
-			double yPlaced = hitTile.location.y - hitTile.tilePos.y;
-			if(side.getAxis() == Axis.X) {
-				xPlaced = hitTile.location.x - hitTile.tilePos.x;
-			}else if(side.getAxis() == Axis.Z) {
-				xPlaced = hitTile.location.z - hitTile.tilePos.z;
-			}else {
-				xPlaced = hitTile.location.x - hitTile.tilePos.x;
-			}
-
-            if(clickType == 0)
-            {
-                playerController.startDestroyBlock(blockX, blockY, blockZ, hitTile.side, xPlaced, yPlaced, repeat);
-                if (thePlayer.getHeldObject() == null) {
-                    playerController.swingItem(true);
+            double yPlaced = hitTile.location.y() - hitTile.tilePos.y();
+            if (side.getAxis() == Axis.X) {
+                xPlaced = hitTile.location.x() - hitTile.tilePos.x();
+            } else if (side.getAxis() == Axis.Z) {
+                xPlaced = hitTile.location.z() - hitTile.tilePos.z();
+            } else {
+                xPlaced = hitTile.location.x() - hitTile.tilePos.x();
+            }
+
+            if (clickType == 0) {
+                this.playerController.startDestroyBlock(blockX, blockY, blockZ, hitTile.side, xPlaced, yPlaced, repeat);
+                if (this.thePlayer.getHeldObject() == null) {
+                    this.playerController.swingItem(true);
                 }
-            } else
-            {
-                ItemStack stack = thePlayer.inventory.getCurrentItem();
+            } else {
+                ItemStack stack = this.thePlayer.inventory.getCurrentItem();
                 int numItemsInStack = stack == null ? 0 : stack.stackSize;
-                if(playerController.useOrPlaceItemStackOnTile(thePlayer, currentWorld, stack, blockX, blockY, blockZ, side, xPlaced, yPlaced))
-                {
+                if (this.playerController.useOrPlaceItemStackOnTile(this.thePlayer, this.currentWorld, stack, blockX, blockY, blockZ, side, xPlaced, yPlaced)) {
                     flag = false;
-                    playerController.swingItem(true);
+                    this.playerController.swingItem(true);
                 }
-                if(stack == null)
-                {
+                if (stack == null) {
                     return;
                 }
-                if(stack.stackSize <= 0)
-                {
-                    thePlayer.inventory.mainInventory[thePlayer.inventory.getCurrentItemIndex()] = null;
-                }
-                else if(stack.stackSize != numItemsInStack)
-                {
-                    worldRenderer.itemRenderer.resetEquippedProgress();
+                if (stack.stackSize <= 0) {
+                    this.thePlayer.inventory.mainInventory[this.thePlayer.inventory.getCurrentItemIndex()] = null;
+                } else if (stack.stackSize != numItemsInStack) {
+                    this.worldRenderer.itemRenderer.resetEquippedProgress();
                 }
             }
         }
-        if(flag && clickType == 1)
-        {
-            ItemStack itemstack = thePlayer.inventory.getCurrentItem();
-            if(itemstack != null && playerController.useItemStackOnNothing(thePlayer, currentWorld, itemstack))
-            {
-                worldRenderer.itemRenderer.resetEquippedProgress();
+        if (flag && clickType == 1) {
+            ItemStack itemstack = this.thePlayer.inventory.getCurrentItem();
+            if (itemstack != null && this.playerController.useItemStackOnNothing(this.thePlayer, this.currentWorld, itemstack)) {
+                this.worldRenderer.itemRenderer.resetEquippedProgress();
             }
         }
     }
 
-    public void resize()
-    {
-        resolution.setScale(gameSettings.guiScale.value);
-        if(currentScreen != null) {
-            currentScreen.opened(resolution.getScaledWidthScreenCoords(), resolution.getScaledHeightScreenCoords());
+    public void resize() {
+        this.resolution.setScale(this.gameSettings.guiScale.value);
+        if (this.currentScreen != null) {
+            this.currentScreen.opened(this.resolution.getScaledWidthScreenCoords(), this.resolution.getScaledHeightScreenCoords());
         }
     }
 
-    private void clickMiddleMouseButton(boolean shift, boolean control)
-    {
-        HitResult mouseOver = thePlayer.rayCast(256, timer.partialTicks, false, false, false);
-        if(mouseOver instanceof HitResult.Tile hitTile)
-        {
-            int x = hitTile.tilePos.x;
-            int y = hitTile.tilePos.y;
-            int z = hitTile.tilePos.z;
-            thePlayer.pickBlock(x, y, z, control);
+    private void clickMiddleMouseButton(boolean shift, boolean control) {
+        HitResult mouseOver = this.thePlayer.rayCast(256, this.timer.partialTicks, false, false, false);
+        if (mouseOver instanceof HitResult.Tile hitTile) {
+            int x = hitTile.tilePos.x();
+            int y = hitTile.tilePos.y();
+            int z = hitTile.tilePos.z();
+            this.thePlayer.pickBlock(x, y, z, control);
         }
     }
 
-    private void startCheckPaidThread()
-    {
+    private void startCheckPaidThread() {
         new Thread(() -> {
-            try
-            {
-                HttpURLConnection httpurlconnection = (HttpURLConnection)(new URL("http://session.minecraft.net/game/joinserver.jsp?user=" + session.username + "&session=" + session.sessionId)).openConnection();
+            try {
+                HttpURLConnection httpurlconnection = (HttpURLConnection) (new URL("http://session.minecraft.net/game/joinserver.jsp?user=" + this.session.username + "&session=" + this.session.sessionId)).openConnection();
                 httpurlconnection.connect();
-                if(httpurlconnection.getResponseCode() == 400)
-                {
+                if (httpurlconnection.getResponseCode() == 400) {
                     Minecraft.hasPaidCheckTime = System.currentTimeMillis();
                 }
                 httpurlconnection.disconnect();
-            }
-            catch(Exception exception)
-            {
+            } catch (Exception exception) {
                 LOGGER.error("Error occurred while checking if paid client", exception);
             }
         }).start();
     }
 
-    public void runTick()
-    {
-        if(ticksRan == 6000)
-        {
+    public void runTick() {
+        if (this.ticksRan == 6000) {
             startCheckPaidThread();
         }
 
-        if (hotbarSwapAnimationProgress > 0) {
-            hotbarSwapAnimationProgress--;
-        } else if (hotbarSwapAnimationProgress < 0) {
-            hotbarSwapAnimationProgress++;
+        if (this.hotbarSwapAnimationProgress > 0) {
+            this.hotbarSwapAnimationProgress--;
+        } else if (this.hotbarSwapAnimationProgress < 0) {
+            this.hotbarSwapAnimationProgress++;
         }
 
         Debug.push("gui");
-        subtitleTracker.tick();
-        statsCounter.tick();
-        hudIngame.updateTick();
+        this.subtitleTracker.tick();
+        this.statsCounter.tick();
+        this.hudIngame.updateTick();
         Debug.change("misc");
-        worldRenderer.getMouseOver(1.0F);
-        if(thePlayer != null)
-        {
-            IChunkProvider chunkProvider = currentWorld.getChunkProvider();
-            int playerChunkX = MathHelper.floor_float((int)thePlayer.x) >> 4;
-            int playerChunkZ = MathHelper.floor_float((int)thePlayer.z) >> 4;
+        this.worldRenderer.getMouseOver(1.0F);
+        if (this.thePlayer != null) {
+            IChunkProvider chunkProvider = this.currentWorld.getChunkProvider();
+            int playerChunkX = MathHelper.floor_float((int) this.thePlayer.x) >> 4;
+            int playerChunkZ = MathHelper.floor_float((int) this.thePlayer.z) >> 4;
             chunkProvider.setCurrentChunkOver(playerChunkX, playerChunkZ);
         }
-        if(!isGamePaused && currentWorld != null)
-        {
-            playerController.tick();
+        if (!this.isGamePaused && this.currentWorld != null) {
+            this.playerController.tick();
         }
         Debug.change("textureTick");
         TextureRegistry.blockAtlas.bind();
-        textureManager.updateDynamicTextures(isGamePaused && currentScreen instanceof ScreenPause);
+        this.textureManager.updateDynamicTextures(this.isGamePaused && this.currentScreen instanceof ScreenPause);
         Debug.change("misc");
-        if(currentScreen == null && thePlayer != null)
-        {
-            if(thePlayer.getHealth() <= 0)
-            {
+        if (this.currentScreen == null && this.thePlayer != null) {
+            if (this.thePlayer.getHealth() <= 0) {
                 displayScreen(null);
-            }
-            else if(thePlayer.isPlayerSleeping() && currentWorld != null)
-            {
-                if(currentWorld.isClientSide)
-                {
+            } else if (this.thePlayer.isPlayerSleeping() && this.currentWorld != null) {
+                if (this.currentWorld.isClientSide) {
                     displayScreen(new ScreenSleepMP());
-                }
-                else
-                {
+                } else {
                     displayScreen(new ScreenSleepSP());
                 }
-                
+
             }
-        }
-        else if(currentScreen != null && (currentScreen instanceof ScreenSleepMP) && !thePlayer.isPlayerSleeping())
-        {
+        } else if (this.currentScreen != null && (this.currentScreen instanceof ScreenSleepMP) && !this.thePlayer.isPlayerSleeping()) {
             displayScreen(null);
         }
         Debug.change("input");
-        if(currentScreen != null)
-        {
-            mouseTicksRan = ticksRan + 10000;
-        }
-        
-        if(currentScreen != null)
-        {
-            if(inputType == InputType.CONTROLLER && (mouseInput.deltaX != 0 || mouseInput.deltaY != 0))
-            {
+        if (this.currentScreen != null) {
+            this.mouseTicksRan = this.ticksRan + 10000;
+        }
+
+        if (this.currentScreen != null) {
+            if (this.inputType == InputType.CONTROLLER && (this.mouseInput.deltaX != 0 || this.mouseInput.deltaY != 0)) {
                 setInputType(InputType.KEYBOARD);
             }
         }
 
-        if (currentScreen != null)
-        {
-            currentScreen.updateEvents();
-            if (currentScreen != null)
-            {
-                currentScreen.tick();
+        if (this.currentScreen != null) {
+            this.currentScreen.updateEvents();
+            if (this.currentScreen != null) {
+                this.currentScreen.tick();
             }
         }
-        if (currentScreen == null || currentScreen.passEvents)
-        {
-            while (Mouse.next())
-            {
-                long delta = System.currentTimeMillis() - systemTime;
-                if (delta <= 200L)
-                {
+        if (this.currentScreen == null || this.currentScreen.passEvents) {
+            while (Mouse.next()) {
+                long delta = System.currentTimeMillis() - this.systemTime;
+                if (delta <= 200L) {
                     int scrollDelta = Mouse.getEventDWheel();
-                    if (scrollDelta != 0)
-                    {
-                        if (thePlayer.noPhysics && toggleFlyPressed)
-                        {
-                        	final float steps = 20;
-                        	
-                        	int step = Math.round(gameSettings.flightSpeed.value * steps);
-                        	step += MathHelper.clamp(scrollDelta, -1, 1);
-                        	float newSpeed = step / steps;
-                        	newSpeed = MathHelper.clamp(newSpeed, 0.0f, 5.0f);
+                    if (scrollDelta != 0) {
+                        if (this.thePlayer.noPhysics && this.toggleFlyPressed) {
+                            final float steps = 20;
 
-                        	gameSettings.flightSpeed.value = newSpeed;
+                            int step = Math.round(this.gameSettings.flightSpeed.value * steps);
+                            step += MathHelper.clamp(scrollDelta, -1, 1);
+                            float newSpeed = step / steps;
+                            newSpeed = MathHelper.clamp(newSpeed, 0.0f, 5.0f);
 
-                        	thePlayer.setFlySpeed(newSpeed);
-                        	hudIngame.heldItemTooltipElement.setOptionNameAndValueString(gameSettings.flightSpeed);
-                        }
-                        else if (!gameSettings.keyZoom.isPressed())
-                        {
-                            thePlayer.inventory.changeCurrentItem(scrollDelta);
+                            this.gameSettings.flightSpeed.value = newSpeed;
+
+                            this.thePlayer.setFlySpeed(newSpeed);
+                            this.hudIngame.heldItemTooltipElement.setOptionNameAndValueString(this.gameSettings.flightSpeed);
+                        } else if (!this.gameSettings.keyZoom.isPressed()) {
+                            this.thePlayer.inventory.changeCurrentItem(scrollDelta);
                         }
                     }
-                    if (!inGameHasFocus && Mouse.getEventButtonState())
-                    {
+                    if (!this.inGameHasFocus && Mouse.getEventButtonState()) {
                         setIngameFocus();
-                    }
-                    else
-                    {
+                    } else {
                         if (checkBoundInputs(InputDevice.mouse)) {
-                            if (!Mouse.isGrabbed() && inputType == InputType.KEYBOARD && currentScreen == null) {
-                                mouseInput.grabCursor();
+                            if (!Mouse.isGrabbed() && this.inputType == InputType.KEYBOARD && this.currentScreen == null) {
+                                this.mouseInput.grabCursor();
                             }
                         }
                     }
                 }
-                thePlayer.input.keyEvent(-1, Mouse.getEventButton(), Mouse.getEventButtonState());
+                this.thePlayer.input.keyEvent(-1, Mouse.getEventButton(), Mouse.getEventButtonState());
             }
-            if (toggleFlyPressed && !gameSettings.keyFly.isPressed())
-            {
-                toggleFlyPressed = false;
-                if (flyPressedTime + 400 > System.currentTimeMillis()) {
-                    thePlayer.setNoclip(!thePlayer.noPhysics);
+            if (this.toggleFlyPressed && !this.gameSettings.keyFly.isPressed()) {
+                this.toggleFlyPressed = false;
+                if (this.flyPressedTime + 400 > System.currentTimeMillis()) {
+                    this.thePlayer.setNoclip(!this.thePlayer.noPhysics);
                 }
             }
-            while (Keyboard.next())
-            {
-        		if(Keyboard.getEventKeyState() && gameSettings.showFrameTimes.value && DebugRender.keyPressed(Keyboard.getEventKey())) {
-        			continue;
-        		}
+            while (Keyboard.next()) {
+                if (Keyboard.getEventKeyState() && this.gameSettings.showFrameTimes.value && DebugRender.keyPressed(Keyboard.getEventKey())) {
+                    continue;
+                }
 
                 final @Nullable Runnable scriptBindAction = BindManager.getInstance().getActionForKey(Keyboard.getEventKey());
                 if (scriptBindAction != null) {
